// ***************************************************************************
// LICENSING:  This is free, open source software, licensed under
//             Version 2 of the GNU General Public License (GPL).
//
// In particular, this means that distribution of this software in a binary
// format, e.g. as compiled in as part of a .ex4 format, must be accompanied
// by the non-obfuscated source code of both this file, AND the .mq4 source
// files which it is compiled with, or you must make such files available at
// no charge to binary recipients. If you do not agree with such terms you
// must not use this code.  Detailed terms of the GPL are widely available
// on the Internet.  The Library GPL (LGPL) was intentionally not used,
// therefore the source code of files which link to this are subject to
// terms of the GPL if binaries made from them are publicly distributed or
// sold.
//
// ANY USE OF THIS CODE NOT CONFORMING TO THIS LICENSE MUST FIRST RECEIVE
// PRIOR AUTHORIZATION FROM THE AUTHOR(S).  ANY COMMERCIAL USE MUST FIRST
// OBTAIN A COMMERCIAL LICENSE FROM THE AUTHOR(S).
// ***************************************************************************

// ***************************************************************************
// HISTORY:
//
// v1 20140103, Sergien:-
//   - Stand alone version of functions
//
// ***************************************************************************

#property copyright "Copyright 2013, Sergio Cespedes"
#property link "sergiensergien@gmail.com"

#import "LibNEWS_B6_v2a.ex4"
// LibFFCal_v1.mq4 should be in your experts/libraries folder
// LibFFCal_v1.mqh (this file) should be in your experts/include folde

#define NEWS_TITLE		0
#define NEWS_COUNTRY	1
#define NEWS_DATE		2
#define NEWS_TIME		3
#define NEWS_IMPACT		4
#define NEWS_FORECAST	5
#define NEWS_PREVIOUS	6
#define NEWS_GMT			7

#define NEWS_IMPACT_HIGH     3 
#define NEWS_IMPACT_MEDIUM   2
#define NEWS_IMPACT_LOW      1
#define NEWS_IMPACT_UNKNOWN  0

void   NEWSInitLibrary();
int    NEWSGetTotalEvents (); 
bool   NEWSGetEvent (int index, string& buffer[]);
int    NEWSPreviousEvent (int criticity, string& buffer[]);
int    NEWSNextEvent (int criticity, string& buffer[]);
bool   NEWSRefreshEvents (bool DailyFXPreferred = false);
void   NEWSDeinitLibrary();
void   NEWSSetTimeOffset (bool AutoZone, int LocalGMTZone, int ServerGMTZone);
void   NEWSSetTimeReference (bool externalreference);
double NEWSImpactToNumber(string impact);
bool   NEWSDailyFXGetCSVFile (datetime requestedtime = 0);
void   NEWSSetHistoryWeeksLookBack (int weeks = 0);

datetime TimeGMT();
datetime LocalTimeGMT();
datetime TimeGMTOffset();
datetime AltTimeCurrent();
datetime AltTimeLocal();
datetime TimeCurrentToGMT (datetime currenttime);
datetime TimeGMTToCurrentTime (datetime GMTtime);
datetime TimeLocalToGMT (datetime localtime);
datetime TimeGMTToLocalTime (datetime GMTtime);

string StringSubstrOld(string x,int a,int b=-1);